Subject: bug#72277: closed (Re: bug#72277: home-shepherd is flooding tty)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Oct 2024 17:42:02 +0000

Your bug report

#72277: home-shepherd is flooding tty

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72277: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72277
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72277: home-shepherd is flooding tty
From: Dariqq <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Oct 2024 17:40:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo,

Thank you very much for the review of the shepherd patch and the patch 
for the silent? field to enable it.

Closing the original issue as well.

On 19.09.24 15:10, Ludovic Courtès wrote:
> Hi,
> 
> Dariqq <[email-masked]> skribis:
> 
>> It would be nice to add an option to home-shepherd-configuration to
>> autolaunch the shepherd with --silent once it is available in a tagged
>> release.
> 
> I believe we can make this change right away since 0.10.x supports
> ‘--silent’ (it doesn’t have any effect as of 0.10.5 but it’s not
> rejected).
> 
> Would you like to prepare a patch?
> 
> Thanks,
> Ludo’.

Subject: home-shepherd is flooding tty
From: Dariqq <[email-masked]>
To: [email-masked]
Date: Wed, 24 Jul 2024 16:16:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Today I connected to my laptop running guix home over ssh as the first 
session and got greeted with a lot of shepherd logs from the 
on-first-login script from guix-home starting the user shepherd:

Starting service root...
Service root started.
Service root running with value #t.
Service root has been started.
WARNING: Use of `load' in declarative module (#{ g107}#).  Add 
#:declarative? #f to your define-module invocation.
Daemonizing...

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
Restarting signal handler.
Now running as process 2026.
Starting services...
Configuration successfully loaded from 
'/gnu/store/004jm8s9km3j70gh4nhw8fzlbjls5wxa-shepherd.conf'.
Starting service dbus...
Service dbus has been started.
Service dbus started.
Service dbus running with value 2027.
[...]
Successfully started 4 services in the background.

As I don't want to see these messages I have patched the 
add-shell-profile-file procedure in gnu/home/services/shells.scm to send 
the output of the on-first-login-script into the void as a workaround.

The shepherd manual mentions a --quit option (there seems to be also 
--silent but not documented). Looking at the shepherd code though these 
don't seem to do anything which is also not mentioned anywhere causing 
even more confusion.